# GstStreamConsistencyChecker

These macros and functions are for internal use of the unit tests found inside the 'check' directories of various GStreamer packages.

## GstStreamConsistency

Opaque consistency checker handle.

## GstCheck.StreamConsistency

Opaque consistency checker handle.

## GstCheck.StreamConsistency

Opaque consistency checker handle.

## Functions

### gst_consistency_checker_add_pad

    gboolean
    gst_consistency_checker_add_pad (GstStreamConsistency * consist,
                                     GstPad * pad)

Sets up a data probe on the given pad which will raise assertions if the data flow is inconsistent.

Parameters:

`consist` –

The GstStreamConsistency handle

`pad` –

The GstPad on which the dataflow will be checked.

Returns –

TRUE if the pad was added

### GstCheck.prototype.consistency_checker_add_pad

    function GstCheck.prototype.consistency_checker_add_pad(consist: GstCheck.StreamConsistency, pad: Gst.Pad): {
        // javascript wrapper for 'gst_consistency_checker_add_pad'
    }

Sets up a data probe on the given pad which will raise assertions if the data flow is inconsistent.

Parameters:

`consist` (GstCheck.StreamConsistency) –

The GstCheck.StreamConsistency handle

`pad` (Gst.Pad) –

The Gst.Pad on which the dataflow will be checked.

Returns (Number) –

true if the pad was added

### GstCheck.consistency_checker_add_pad

    def GstCheck.consistency_checker_add_pad (consist, pad):
        #python wrapper for 'gst_consistency_checker_add_pad'

Sets up a data probe on the given pad which will raise assertions if the data flow is inconsistent.

Parameters:

`consist` (GstCheck.StreamConsistency) –

The GstCheck.StreamConsistency handle

`pad` (Gst.Pad) –

The Gst.Pad on which the dataflow will be checked.

Returns (bool) –

True if the pad was added

### gst_consistency_checker_free

    gst_consistency_checker_free (GstStreamConsistency * consist)

Frees the allocated data and probes associated with consist.

Parameters:

`consist` –

The GstStreamConsistency to free.

### GstCheck.prototype.consistency_checker_free

    function GstCheck.prototype.consistency_checker_free(consist: GstCheck.StreamConsistency): {
        // javascript wrapper for 'gst_consistency_checker_free'
    }

Frees the allocated data and probes associated with consist.

Parameters:

`consist` (GstCheck.StreamConsistency) –

The GstCheck.StreamConsistency to free.

### GstCheck.consistency_checker_free

    def GstCheck.consistency_checker_free (consist):
        #python wrapper for 'gst_consistency_checker_free'

Frees the allocated data and probes associated with consist.

Parameters:

`consist` (GstCheck.StreamConsistency) –

The GstCheck.StreamConsistency to free.

### gst_consistency_checker_new

    GstStreamConsistency *
    gst_consistency_checker_new (GstPad * pad)

Sets up a data probe on the given pad which will raise assertions if the data flow is inconsistent.

Parameters:

`pad` –

The GstPad on which the dataflow will be checked.

Returns –

A GstStreamConsistency structure used to track data flow.

### gst_consistency_checker_reset

    gst_consistency_checker_reset (GstStreamConsistency * consist)

Reset the stream checker's internal variables.

Parameters:

`consist` –

The GstStreamConsistency to reset.

### GstCheck.prototype.consistency_checker_reset

    function GstCheck.prototype.consistency_checker_reset(consist: GstCheck.StreamConsistency): {
        // javascript wrapper for 'gst_consistency_checker_reset'
    }

Reset the stream checker's internal variables.

Parameters:

`consist` (GstCheck.StreamConsistency) –

The GstCheck.StreamConsistency to reset.

### GstCheck.consistency_checker_reset

    def GstCheck.consistency_checker_reset (consist):
        #python wrapper for 'gst_consistency_checker_reset'

Reset the stream checker's internal variables.

Parameters:

`consist` (GstCheck.StreamConsistency) –

The GstCheck.StreamConsistency to reset.

The results of the search are